summaryrefslogtreecommitdiff
path: root/samples/bpf/run_cookie_uid_helper_example.sh
diff options
context:
space:
mode:
Diffstat (limited to 'samples/bpf/run_cookie_uid_helper_example.sh')
-rw-r--r--samples/bpf/run_cookie_uid_helper_example.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/samples/bpf/run_cookie_uid_helper_example.sh b/samples/bpf/run_cookie_uid_helper_example.sh
new file mode 100644
index 000000000000..40da8aa75c44
--- /dev/null
+++ b/samples/bpf/run_cookie_uid_helper_example.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+local_dir="$(pwd)"
+root_dir=$local_dir/../..
+mnt_dir=$(mktemp -d --tmp)
+
+on_exit() {
+ iptables -D INPUT -m bpf --object-pinned ${mnt_dir}/bpf_prog -j ACCEPT
+ umount ${mnt_dir}
+ rm -r ${mnt_dir}
+}
+
+trap on_exit EXIT
+mount -t bpf bpf ${mnt_dir}
+./per_socket_stats_example ${mnt_dir}/bpf_prog